<?php
/*
	Plugin Name: Click & Call Pro
	Plugin URI: http://www.mixedmediamarketing.co.uk/ccpro
	Description: The click and call pro plugin adds a widget to your WordPress website containing click to call buttons for both real phones & Skype. <a href="themes.php?page=click-and-call-pro">Click to cofigure settings.</a>
	Version: 0.8
	Author: Daniel McClure
	Author URI: http://www.danielmcclure.com
	License: GPL2

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

$phone_contacts = array(
	'tel' => 'Telephone',
);

$plugin_path = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__) );

include 'includes/options.php';
include 'includes/widget.php';

register_activation_hook( __FILE__, 'ccpro_defaults' );

function ccpro_defaults(){
	if( !get_option( 'ccpro_icon_size' ) )
		update_option( 'ccpro_icon_size', '64x64' );
	if( !get_option( 'ccpro_display_credit' ) )
		update_option( 'ccpro_display_credit', false );
}

function ccpro_plugin_action_links( $links, $file ) {
	if ( $file == plugin_basename( dirname(__FILE__).'/click-and-call-pro.php' ) ) {
		$links[] = '<a href="themes.php?page=click-and-call-pro">'.__('Settings').'</a>';
	}

	return $links;
}

add_filter( 'plugin_action_links', 'ccpro_plugin_action_links', 10, 2 );
?>